library info_fileid;

{ Important note about DLL memory management: ShareMem must be the
  first unit in your library's USES clause AND your project's (select
  Project-View Source) USES clause if your DLL exports any procedures or
  functions that pass strings as parameters or function results. This
  applies to all strings passed to and from your DLL--even those that
  are nested in records and classes. ShareMem is the interface unit to
  the BORLNDMM.DLL shared memory manager, which must be deployed along
  with your DLL. To avoid using BORLNDMM.DLL, pass string information
  using PChar or ShortString parameters. }

uses
  SysUtils,
  Classes,
  Windows;

Function DLLVersionId : PChar;
begin
  Result := 'DCINFO100';
end;

Function DLLDescription : PChar;
begin
  Result := 'file_id.diz reader';
end;

Function DLLRecommendedFiles : PChar;
begin
  Result := 'file_id.diz,readme.txt';
end;

Function DLLProcessFile(pcharFileName : PChar;var pcharResult : PChar) : Boolean;
var
  Lines      : TStringList;
begin
  Lines := TStringList.Create;
  try
    try
      Lines.LoadFromFile(pcharFileName);
      pcharResult := PChar(Lines.text);
      Result := True;
    except
      pcharResult := '';
      Result := False;
    end;
  finally
    Lines.Free;
  end;
end;

Function DLLAbout : Boolean;
begin
  MessageBox(0,'File_id.diz extractor 0.1 (C)opyfree 1999 Rob Vonk','About',MB_OK or MB_ICONINFORMATION);
  Result := True;
end;

Function DLLConfig : Boolean;
begin
  MessageBox(0,'Config panel example for File_id.diz extractor','Config',MB_OK or MB_ICONINFORMATION);
  Result := True;
end;

Exports
  DLLVersionId,
  DLLDescription,
  DLLRecommendedFiles,
  DLLProcessFile,
  DLLConfig,
  DLLAbout;

begin
end.

